// Package testdata provides test data for marka
package testdata

import (
	"embed"
	"path/filepath"
	"testing"
)

//go:embed data/*
var dataFS embed.FS

func Read(t *testing.T, fileName string) []byte {
	path := filepath.Join("data", fileName)
	data, err := dataFS.ReadFile(path)
	if err != nil {
		t.Fatalf("failed to read test data file: %v", err)
	}
	return data
}
